<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/root_layout"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="8dp"
        app:cardCornerRadius="8dp"
        app:cardElevation="8dp">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/tv_title"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:background="@drawable/window_background"
                    android:gravity="center"
                    android:text="标题"
                    android:textColor="@color/colorWhite"
                    android:textSize="?attr/textSizeXXXX" />

                <ImageView
                    android:id="@+id/btn_close"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="8dp"
                    android:foreground="?android:selectableItemBackground"
                    android:src="@drawable/ic_clear_white" />
            </RelativeLayout>

            <TextView
                android:id="@+id/tv_msg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:minWidth="250dp"
                android:minHeight="88dp"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="文字内容"
                android:textColor="@color/colorTextBlack"
                android:textSize="?attr/textSizeXXX" />

            <FrameLayout
                android:id="@+id/content_layout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:minWidth="250dp" />

            <View
                android:id="@+id/view_bottom_line"
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="@color/colorLine" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/btn_left"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:layout_weight="1"
                    android:foreground="?android:selectableItemBackground"
                    android:gravity="center"
                    android:text="左按钮"
                    android:textColor="@color/colorText33"
                    android:textSize="?attr/textSizeXXX" />

                <TextView
                    android:id="@+id/btn_center"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:layout_weight="1"
                    android:background="@color/colorBlue"
                    android:foreground="?android:selectableItemBackground"
                    android:gravity="center"
                    android:text="中按钮"
                    android:textColor="@color/colorWhite"
                    android:textSize="?attr/textSizeXXX" />

                <TextView
                    android:id="@+id/btn_right"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:layout_weight="1"
                    android:background="@color/colorTheme"
                    android:foreground="?android:selectableItemBackground"
                    android:gravity="center"
                    android:text="右按钮"
                    android:textColor="@color/colorWhite"
                    android:textSize="?attr/textSizeXXX" />
            </LinearLayout>

        </LinearLayout>
    </androidx.cardview.widget.CardView>

</LinearLayout>